Address Book Service#
The adress book service works as… You can do this and this and this with it…
The endpoints you can use are:
METHOD |
PATH |
SUMMARY |
|---|---|---|
Get Contacts and Groups#
GET /v1/send/ab/{sendId}
This endpoint returns all the contacts and groups of a given NFSend id. Access is only allowed to own NFSend id.
For this operation, you will use a sendId string which will return a json file with contacts and groups, including…
Parameters#
The string sendId is required.
Query Parameters#
Responses#
- 200: A successful response.
If sucessful, this operation returns a json file with contacts
- and contactGroups.
Contacts are… Contact Groups are…
- 400: Invalid identifier provided.
This means… To fix, do…
- 401: Returned when the user is not logged in.
Returned when the user is not logged in. To resolve, please log in.
- 403: Returned when the user does not have permission to access the resource.
Returned when the user does not have permission to access the resource. To resolve, please…
- 404: Returns when the item was not found or user doesn’t have access to it.
Returns when the item was not found or user doesn’t have access to it. To fix please…
- 500: Server error.
Server error. In this case,…
- default: An unexpected error response.
This is an execpected error. It happens sometimes. Try again.